import { Component } from 'dacha';
import { Feature } from './feature';
export class Tool extends Component {
    constructor(config) {
        super();
        this.name = config.name;
        this.features = Object.keys(config.features).reduce((acc, name) => {
            acc[name] = new Feature(config.features[name]);
            return acc;
        }, {});
        this.inputBindings = config.inputBindings.slice();
    }
}
Tool.componentName = 'Tool';
